Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358018 - rhel-osp-director: openstack-utils RPM isn't installed by default on undercloud and overcloud nodes.
Summary: rhel-osp-director: openstack-utils RPM isn't installed by default on undercl...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ga
: 10.0 (Newton)
Assignee: Jon Schlueter
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 20:18 UTC by Alexander Chuzhoy
Modified: 2017-08-01 03:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-05 02:20:32 UTC


Attachments (Terms of Use)

Description Alexander Chuzhoy 2016-07-19 20:18:27 UTC
rhel-osp-director:  openstack-utils RPM isn't installed by default with the undercloud.


Environment:
instack-undercloud-5.0.0-0.20160701050805.1ffeb4b.el7ost.noarch


Steps to reproduce:
Install undercloud.
Run "openstack-status"

Result:
[root@instack ~]# openstack-status                                               
-bash: openstack-status: command not found  

[root@instack ~]# rpm -ql openstack-utils                       
package openstack-utils is not installed    


To workaround, simply run:
yum install -y openstack-utils


Expected result:
The openstack-utils RPM should be installed by default.

Comment 2 Alexander Chuzhoy 2016-07-27 19:11:33 UTC
The RPM is also missing on overcloud nodes.

Comment 4 Jaromir Coufal 2016-08-02 19:09:37 UTC
Can we verify where everywhere is this component used?

Comment 6 Jon Schlueter 2016-10-05 02:20:32 UTC
Packaging changes have shifted to not use openstack-utils but it is available as an RPM from the "Developer Tools" OSP repo.  There are known issues with the tools from this package when used with HA setups.  As such it is not planned to be added to the overcloud and can be manually installed if desired on the undercloud.  This is a change from OSP 9 where openstack-utils was Required by other packages, but for OSP 10 these where replaced out.

If you know of use-cases for why this should be installed by default or in scenarios please re-open this bug.


Note You need to log in before you can comment on or make changes to this bug.